<script lang="ts">
	import { clientApps } from "../provider/ClientApps";
	import PriceLabel from "../ui/PriceLabel.svelte";
	export let selectedApps: string[];
</script>
<div class="row">
	<div class="col-12 mb-2">
		<p><a href="https://matrix.org/" target="_blank" rel="noreferrer">Matrix</a> (like email) is an open protocol. Different apps (on different platforms) can be used to access the same account.</p>
		<p>You can install any <a href="https://matrix.org/clients" target="_blank" rel="noreferrer">Matrix client app</a> on your devices. On your Matrix server, we can set up any of these popular web-clients:</p>
	</div>
	<div class="d-flex flex-column flex-lg-row">
	{#each clientApps as clientApp}
		{#if !clientApp.archived}
		<div class="flex-grow-1 flex-shrink-1 flex-basis-30 p-2 mb-3">
			<div class="card">
				<div class="card-header">
					<div class="card-title d-flex justify-content-between mb-1">
						<h5 class="form-check form-switch d-inline-block">
							<input
								id={"client-" + clientApp.id}
								class="form-check-input"
								type="checkbox"
								bind:group={selectedApps}
								name="client-app"
								value={clientApp.id}
							/>

							<label for={"client-" + clientApp.id} class="align-middle">{clientApp.name}</label>
						</h5>

						<div>
							<PriceLabel price={clientApp.price} />
						</div>
					</div>
				</div>
				<a href={"/img/apps/" + clientApp.id + ".big.webp"} target="_blank" rel="noreferrer">
					<img class="card-img-top" loading="lazy" src={"/img/apps/" + clientApp.id + ".webp"} alt="{clientApp.name}">
				</a>
				<div class="card-body">
					<p class="card-text">{@html clientApp.description}</p>

					<a
						class="btn btn-outline-primary d-block"
						target="_blank"
						rel="noreferrer"
						href={"/img/apps/" + clientApp.id + "-light.webm"}
					>
						<i class="fa-regular fa-circle-play"></i>
						See short video demo
					</a>
				</div>
				<div
					class="card-footer text-center bg-transparent"
					class:text-success={clientApp.id === "element-web" || clientApp.id === "schildichat"}
					class:opacity-75={clientApp.id === "schildichat"}
					class:text-warning={clientApp.id === "cinny"}
					class:text-danger={clientApp.id === "hydrogen"}
				>
					<strong class="small">{clientApp.additionalInfo}</strong>
				</div>
			</div>
		</div>
		{/if}
	{/each}
	</div>
</div>

<style>
	.flex-basis-30 {
		flex-basis: 30%;
	}
</style>
